%define scitever %(echo %{version} | sed -e 's/\\.//')

Name: 		scite
Version: 	403
Release: 	%mkrel 1
Summary: 	GTK text editor based on scintilla
Summary(de):	Auf Scintilla basierender GTK Texteditor
License: 	BSD
Group: 		Editors
URL: 		http://www.scintilla.org/SciTE.html
Source: 	%{name}%{version}.tar.xz
#------------------------------------------
BuildRequires: pkgconfig
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: libpthread-stubs
#------------------------------------------
BuildRoot: %{_tmppath}/%{name}-root

%description
SciTE is a GTK based single-document editor.  While its features are
limited, its main purpose is to show off scintilla, an extensible
text highlighting and formatting engine.

%description -l de
SciTE ist ein auf GTK basierender Texteditor. Da seine Fähigkeiten begrenzt 
sind, ist seine Hauptabsicht die Fähigkeiten von Scintilla, eine erweiterbare Texthervorhebungs- 
und Formatierungsengine, auf zu zeigen.

%prep
%setup -qn scite

%build
cd ../scintilla/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
%make GTK2=1
cd $RPM_BUILD_DIR/scite/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
perl -p -i -e 's/netscape/www-browser/g' ../src/Embedded.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/html.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/SciTEGlobal.properties
%make GTK2=1

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Applications
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp bin/SciTE $RPM_BUILD_ROOT/%{_bindir}/scite
cp src/*.properties $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp gtk/SciTE.desktop $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Applications
cp gtk/Sci48M.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mv doc/%{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1
mv doc/*.html $RPM_BUILD_ROOT/%{_datadir}/%{name}
mv doc/*.png $RPM_BUILD_ROOT/%{_datadir}/%{name}
mv doc/*.jpg $RPM_BUILD_ROOT/%{_datadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SciTE
Comment=GTK text editor based on scintilla
Comment[de]=Auf Scintilla basierender GTK Texteditor
Exec=%{name}
Icon=text-editor
Terminal=false
Type=Application
StartupNotify=false
MimeType=text/plain;
Categories=Utility;X-MandrivaLinux-MoreApplications-Editors;
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc License.txt README
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*


%changelog
* Sat Feb 17 2018 bb2 <bb2> - 403-1pclos2018
- new version

* Wed Jan 10 2018 Zen Subz <techars21 at gmail dot com> - 402-1pclos2018
- Update to latest release

* Fri Sep 29 2017 bb2 <bb2> - 375-2pclos2017
- rebuild against updates

* Fri May 26 2017 bb2 <bb2> - 3.7.5-1pclos2017
- new version

* Wed Feb 22 2017 tex - 3.7.3-1pclos2017
- new version
